apache:
  sites:
    BookStack:
      interface: '[fd29:8e45:f292:ff80::1]'
      port: 443
      ServerName: bookstack.themis.backend.syscid.com
      DocumentRoot: /srv/www/BookStack/
      DirectoryIndex: index.php
      Directory:
        /srv/www/BookStack/:
          Options: 'Indexes FollowSymLinks -MultiViews'
          AllowOverride: None
          Require: all granted
          Formula_Append: |
            RewriteEngine On
            RewriteCond '%{HTTP:Authorization} .'
            RewriteCond '.* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'
            RewriteCond '%{REQUEST_FILENAME} !-d'
            RewriteCond '%{REQUEST_URI} (.+)/$'
            RewriteCond '^ %1 [L,R=301]'
            RewriteCond '%{REQUEST_FILENAME} !-d'
            RewriteCond '%{REQUEST_FILENAME} !-f'
            RewriteCond '^ index.php [L]'
      LogLevel: False
      ErrorLog: False
      LogFormat: False
      CustomLog: False
      ServerAdmin: False
      ServerAlias: False
      Formula_Append: |
        Include /etc/apache2/snippets.d/ssl_themis.conf
        AddOutputFilterByType DEFLATE text/html text/plain text/xml text/css text/javascript application/javascript
        SetOutputFilter DEFLATE
        <FilesMatch '\.php$'>
          SetHandler 'proxy:unix:/run/php-fpm/BookStack.sock|fcgi://BookStack'
        </FilesMatch>
